#include <bits/stdc++.h>

using namespace std;

#define MAXN 30010

int main()
{
    long long t;
    cin>>t;
    for (long long z=0;z<t;z++)
    {
        long long n;
        cin>>n;
        vector<pair<long long,long long>> a;
        long long b[MAXN];
        for (long long i=1;i<=n;i++)
        {
            long long x;
            cin>>x;
            a.push_back({x,i%2});
        }
        for (long long i=1;i<=n;i++) cin>>b[i];
        sort(a.begin(), a.end());
        bool mark[MAXN]={false};
        for (long long i=1;i<=n;i++)
        {
            long long v=b[i];
            long long l1=((lower_bound(a.begin(),a.end(),v))-a.begin());
            long long r1=((upper_bound(a.begin(),a.end(),v))-a.begin());
            long long l2=((lower_bound(a.begin(),a.end(),v*(-1)))-a.begin());
            long long r2=((upper_bound(a.begin(),a.end(),v*(-1)))-a.begin());
            if (i%2==0)
            {
                if (a[l1].second==0 or a[r2-1].second==1) mark[i]=true;
                else break;
            }
            else
            {
                if (a[r1-1].second==1 or a[l2].second==0) mark[i]=true;
                else break;
            }
        }
        bool da=true;
        for (long long i=1;i<=n;i++)
        {
            if (mark[i]==false)
            {
                da=false;
                break;
            }
        }
        if (da) cout<<"DA"<<endl;
        else cout<<"NE"<<endl;
    }
}